OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Class PollablesTest.MockPollConfig

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollablesTest.MockPollConfig

All Implemented Interfaces:
  PollConfig, Timer

Enclosing class:
  PollablesTest

private class PollablesTest.MockPollConfig
extends java.lang.Object
implements PollConfig

Field Summary
`(package private) MockMonitor` `m_monitor`
`(package private) Package` `m_package`
`(package private) java.util.Properties` `m_properties`
`(package private) PollableService` `m_service`

Constructor Summary
`PollablesTest.MockPollConfig(MockNetwork network, PollableService service)`

Method Summary
`long` `getCurrentTime()`
`PollStatus` `poll()`
`void` `refresh()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_service

    PollableService m_service

### m_monitor

    MockMonitor m_monitor

### m_properties

    java.util.Properties m_properties

### m_package

    Package m_package

Constructor Detail

### PollablesTest.MockPollConfig

    public PollablesTest.MockPollConfig(MockNetwork network,
                                        PollableService service)

Method Detail

### poll

    public PollStatus poll()

  Specified by:
    `poll` in interface `PollConfig`

### getCurrentTime

    public long getCurrentTime()

  Specified by:
    `getCurrentTime` in interface `PollConfig`
  Returns:

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `PollConfig`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.